### Function

# Gtkrender_focus

deprecated: 4.10

#### Declaration [src]

    void
    gtk_render_focus (
      GtkStyleContext* context,
      cairo_t* cr,
      double x,
      double y,
      double width,
      double height
    )

#### Description [src]

Renders a focus indicator on the rectangle determined by `x`, `y`, `width`, `height`.

Typical focus rendering:

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkStyleContext`

  A `GtkStyleContext`

  The data is owned by the caller of the function.

`cr`

  Type: `cairo_t`

  A `cairo_t`

  The data is owned by the caller of the function.

`x`

  Type: `double`

  X origin of the rectangle.

`y`

  Type: `double`

  Y origin of the rectangle.

`width`

  Type: `double`

  Rectangle width.

`height`

  Type: `double`

  Rectangle height.